Bug 124787 - battstat-applet-2 sticks at 'n/a' after failing to read battery info from unreliable acpi
battstat-applet-2 sticks at 'n/a' after failing to read battery info from unr...
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-29 22:01 EDT by cam
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-21 11:27:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cam 2004-05-29 22:01:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a2)

Description of problem:
Many notebooks / laptops have problems reporting battery levels which
can be fixed by workarounds such as reloading the acpi kernel modules.
When the battstat applet fails to read the battery info (on my machine
it can appear as if the battery is not present) it stops trying. Even
if the acpi info is fixed the applet will not show the battery level.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. have acpi implementation that incorrectly shows no battery present
2. have battstat applet running showing 'n/a'
3. perform acpi workarounds (eg. reload battery module)

Actual Results:  battstat applet does not change from n/a even though
battery info is available

Expected Results:  battstat applet does should update, maybe after a
short delay

Additional info:

Getting my machine working with ACPI is a work in progress. I may be
missing events relating to the battery etc.

The workaround I'm using involves a sleep script that removes and
reloads the battery and ac modules when suspending. It's final action
is to kill the battstat applet. When the user OK's reloading the
applet it has the correct info available from ACPI.
Comment 1 Mark McLoughlin 2004-07-21 11:27:35 EDT
Thanks for the report - I can verify from looking at the code that it
only checks for ACPI support on startup. Tracking this bug upstream:


A workaround is "killall gnome-panel", btw :-)

Note You need to log in before you can comment on or make changes to this bug.